Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.exe
Class RuntimeAction

    java.lang.Object
      org.jbpm.graph.exe.RuntimeAction

All Implemented Interfaces:
  java.io.Serializable

    public class RuntimeAction

extends java.lang.Object
implements java.io.Serializable

is an action that can be added at runtime to the execution of one process instance.

See Also:
  Serialized Form

Field Summary
`protected Action` | `action`
`protected java.lang.String` | `eventType`
`protected GraphElement` | `graphElement`
`protected ProcessInstance` | `processInstance`

Constructor Summary
`RuntimeAction()`
`RuntimeAction(Event event, Action action)` creates a runtime action.
`RuntimeAction(GraphElement graphElement, java.lang.String eventType, Action action)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Action` | `getAction()`
`java.lang.String` | `getEventType()`
`GraphElement` | `getGraphElement()`
`long` | `getId()`
`ProcessInstance` | `getProcessInstance()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### processInstance

    protected ProcessInstance processInstance

### graphElement

    protected GraphElement graphElement

### eventType

    protected java.lang.String eventType

### action

    protected Action action

Constructor Detail

### RuntimeAction

    public RuntimeAction()

### RuntimeAction

    public RuntimeAction(Event event,
                         Action action)

  creates a runtime action. Look up the event with `GraphElement.getEvent(String)` and the action with `ProcessDefinition.getAction(String)`. You can only lookup named actions easily.

### RuntimeAction

    public RuntimeAction(GraphElement graphElement,
                         java.lang.String eventType,
                         Action action)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getId

    public long getId()

### getProcessInstance

    public ProcessInstance getProcessInstance()

### getAction

    public Action getAction()

### getEventType

    public java.lang.String getEventType()

### getGraphElement

    public GraphElement getGraphElement()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD